@mixin flex-center() {
  display: flex;
  justify-content: center;
  align-items: center
  ;
}
@mixin header-botton-hover {
  background: #FFFFFF;
  color: #8D81AC;
}


/*
* flexible CSS property:
* property: calc(MINpx + (MAX - MIN) * ((100vw - MIN_CONTENTpx) / (MAX_CONTENT - MIN_CONTENT)));
* @include adaptiv-value('margin-bottom', 84, 52, 1);
*/
@mixin adaptiv-value($property, $startSize, $minSize, $type: 3) {
  $addSize: $startSize - $minSize;
  @if $type==1 {
    // if less container (maxWidthContainer)
    #{$property}: $startSize + px;
    @media (max-width: #{$maxWidthContainer + px}) {
      #{$property}: calc(
        #{$minSize + px} + #{$addSize} *
          ((100vw - #{$minWidth + px}) / #{$maxWidthContainer - $minWidth})
      );
    }
  } @else if $type==2 {
    // if more container (maxWidthContainer)
    #{$property}: $startSize + px;
    @media (min-width: #{$maxWidthContainer + px}) {
      #{$property}: calc(
        #{$minSize + px} + #{$addSize} *
          ((100vw - #{$minWidth + px}) / #{$maxWidth - $minWidth})
      );
    }
  } @else {
    // always
    #{$property}: calc(
      #{$minSize +
        px} +
        #{$addSize} *
        ((100vw - #{$minWidth + px}) / #{$maxWidth - $minWidth})
    );
  }
}
